<%@ page title="" language="VB" masterpagefile="~/Template/Master.master" autoeventwireup="false" inherits="RCC_O365_GroupActions, MachSol.MachPanel.Web" %>

<asp:Content ID="Content5" ContentPlaceHolderID="CPH_Content" runat="Server">
       <script type="module">

        import { createApp } from 'vue'
        import O365GroupActions from '/Components/Network/O365GroupActions.js?v=3.6'         
        import { getLabelText } from '/Components/Common/utils.js?v=3.6'

        createApp({
            data() {
                return {
                    readOnly: <%= Helper.ReadOnlyRole %>,  
                    isLoggedInAsCustomer: <%= Helper.IsLoggedInAsCustomer.ToString().ToLower() %>,
                    isLoggedInAsReseller: <%= Helper.IsLoggedInAsReseller.ToString().ToLower() %>,
                    sortPreference: <%= Newtonsoft.Json.JsonConvert.SerializeObject(InitialSortPreference) %>,                      
                    isSubReseller: <%= Helper.IsSubReseller.ToString().ToLower() %>,
                    runGroupJob: <%= Helper.CustomerAccessTemplates.RunGroupJob.ToString().ToLower() %>,
                    isOffice365Enabled: <%= IsOffice365Enabled.ToString().ToLower() %>,
                    allowToManageO365GroupJobs: <%=  AllowToManageO365GroupJobs.ToString().ToLower()  %>,
                    allowToRunO365GroupJob: <%=  AllowToRunO365GroupJob.ToString().ToLower()  %>,
                    allowToCancelO365GroupJob: <%=  AllowToCancelO365GroupJob.ToString().ToLower() %>,
                    packageTypeId: '21',
                }
            },
            methods: {
                getLabelText,
            },
            components: {
                O365GroupActions
            },
            template: `
           
<O365GroupActions :sortPreference="sortPreference" :readOnly="readOnly" :isSubReseller="isSubReseller"
    :isLoggedInAsCustomer="isLoggedInAsCustomer" :isLoggedInAsReseller="isLoggedInAsReseller" :packageTypeId="packageTypeId"
    :runGroupJob="runGroupJob" :allowToManageO365GroupJobs="allowToManageO365GroupJobs"
    :allowToRunO365GroupJob="allowToRunO365GroupJob" :allowToCancelO365GroupJob="allowToCancelO365GroupJob"/>
                 
`
        }).mount('#app')

       </script>

    <div id="app">
    </div>
</asp:Content>
